Subject: Re: Problem with AUTH response from MSN
From: Chris Newman <[email-masked]>
To: Paul Smith <[email-masked]>, [email-masked]
Date: Thu, 30 Aug 2001 11:59:06 -0700
List-Id: <ietf-pop3ext.imc.org>

Correct.  The server is violating RFC 1734 at line 7 of the transcript.

But MSN is a non-standard authentication mechanism anyway, so if you want 
to use it you have to use it exactly the same way Microsoft clients use it.

		- Chris

--On Thursday, August 30, 2001 14:09 +0100 Paul Smith <[email-masked]> 
wrote:

>
> I've just seen what looks like a problem with the authentication on MSN,
> and I was wondering if anyone else has either seen the problem before, or
> has any comments..
>
> Here's a (slightly obfuscated) transcript of the session:
>
> S 1	+OK CPIMSPOPA16.email.msn.com POP3 Server
> C 2	AUTH MSN
> S 3	+
> C 4	gobbledegook=
> S 5	+
> C 6	
> S 7
> C 8	STAT
> S 9	+OK Mailbox for markhaas has 4 messages.
>
> It all looks OK until line 6 or 7. I *think* the problem is at line 7,
> because, from my reading of RFC1734 the server should respond either
> '+...'  as a challenge, or '+OK' or '-ERR' to indicate the result of the
> authentication. A blank line from the server wouldn't seem to be a valid
> response
>
> Now, I can easily make the client ignore a blank line at this stage, but
> I  only want to do that if (a) MSN is working properly, and I
> misunderstood  the standard or (b) MSN isn't going to fix their server
> soon (anyone from  Microsoft listening? ;-) )
>
>
> (The 'STAT' from the client is because the sequence is confusing the
> client, so it's sending a 'STAT' command before it should do and then all
> the server responses are out of sync)
>
> Paul				VPOP3 - Internet Email Server/Gateway
> [email-masked]			http://www.pscs.co.uk/
>
>

Date: Thu, 30 Aug 2001 14:09:26 +0100
To: [email-masked]
From: Paul Smith <[email-masked]>
Subject: Problem with AUTH response from MSN
Sender: [email-masked]

I've just seen what looks like a problem with the authentication on MSN, 
and I was wondering if anyone else has either seen the problem before, or 
has any comments..

Here's a (slightly obfuscated) transcript of the session:

S 1	+OK CPIMSPOPA16.email.msn.com POP3 Server
C 2	AUTH MSN
S 3	+
C 4	gobbledegook=
S 5	+
C 6	
S 7
C 8	STAT
S 9	+OK Mailbox for markhaas has 4 messages.

It all looks OK until line 6 or 7. I *think* the problem is at line 7, 
because, from my reading of RFC1734 the server should respond either '+...' 
as a challenge, or '+OK' or '-ERR' to indicate the result of the 
authentication. A blank line from the server wouldn't seem to be a valid 
response

Now, I can easily make the client ignore a blank line at this stage, but I 
only want to do that if (a) MSN is working properly, and I misunderstood 
the standard or (b) MSN isn't going to fix their server soon (anyone from 
Microsoft listening? ;-) )

(The 'STAT' from the client is because the sequence is confusing the 
client, so it's sending a 'STAT' command before it should do and then all 
the server responses are out of sync)

Paul				VPOP3 - Internet Email Server/Gateway
[email-masked]			http://www.pscs.co.uk/